Bug 205698 - Network locked up -- inconsistent {hardirq-on-W} -> {in-hardirq-W} usage.
Network locked up -- inconsistent {hardirq-on-W} -> {in-hardirq-W} usage.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-09-07 20:19 EDT by Miles Lane
Modified: 2015-01-04 17:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-28 01:38:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Miles Lane 2006-09-07 20:19:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20060731 Ubuntu/dapper-security Firefox/

Description of problem:
pccard: PCMCIA card inserted into slot 0
pcmcia: registering new device pcmcia0.0
PM: Adding info for pcmcia:0.0
eth2: NE2000 (DL10022 rev 30): io 0x300, irq 3, hw_addr 00:50:BA:73:92:3D

[ INFO: inconsistent lock state ]
2.6.17-1.2630.fc6 #1
inconsistent {hardirq-on-W} -> {in-hardirq-W} usage.
swapper/0 [HC1[1]:SC1[2]:HE0:SE0] takes:
 (&ei_local->page_lock){++..}, at: [<f948276d>] ei_interrupt+0x46/0x2c3 [8390]
{hardirq-on-W} state was registered at:
  [<c043c0aa>] lock_acquire+0x4b/0x6d
  [<c061415b>] _spin_lock+0x19/0x28
  [<f9482d57>] ei_start_xmit+0xa6/0x243 [8390]
  [<c05b9b75>] dev_hard_start_xmit+0x1a5/0x202
  [<c05c81da>] __qdisc_run+0xdf/0x19d
  [<c05bb4d5>] dev_queue_xmit+0x13d/0x250
  [<f93bea8e>] mld_sendpack+0x1ad/0x27d [ipv6]
  [<f93bf61a>] mld_ifc_timer_expire+0x18e/0x1b6 [ipv6]
  [<c042dc68>] run_timer_softirq+0x108/0x167
  [<c04293b7>] __do_softirq+0x78/0xf2
  [<c040668b>] do_softirq+0x5a/0xbe
irq event stamp: 12319831
hardirqs last  enabled at (12319830): [<c0614423>] _spin_unlock_irqrestore+0x36/0x3c
hardirqs last disabled at (12319831): [<c0404a3f>] common_interrupt+0x1b/0x2c
softirqs last  enabled at (12319788): [<c042942b>] __do_softirq+0xec/0xf2
softirqs last disabled at (12319795): [<c040668b>] do_softirq+0x5a/0xbe

other info that might help us debug this:
2 locks held by swapper/0:
 #0:  (&dev->_xmit_lock){-+..}, at: [<c05c815b>] __qdisc_run+0x60/0x19d
 #1:  (af_callback_keys + sk->sk_family#4){-.-+}, at: [<c05b3bd7>] sock_def_write_space+0x15/0x90

stack backtrace:
 [<c04051ee>] show_trace_log_lvl+0x58/0x171
 [<c0405802>] show_trace+0xd/0x10
 [<c040591b>] dump_stack+0x19/0x1b
 [<c043a4df>] print_usage_bug+0x1cf/0x1dc
 [<c043a82a>] mark_lock+0x96/0x353
 [<c043b54f>] __lock_acquire+0x3b2/0x99c
 [<c043c0aa>] lock_acquire+0x4b/0x6d
 [<c061415b>] _spin_lock+0x19/0x28
 [<f948276d>] ei_interrupt+0x46/0x2c3 [8390]
 [<f95cd3f2>] ei_irq_wrapper+0xb/0x1d [pcnet_cs]
 [<c0450f94>] handle_IRQ_event+0x20/0x4d
 [<c0451055>] __do_IRQ+0x94/0xef
 [<c040678d>] do_IRQ+0x9e/0xbd
 [<c0404a49>] common_interrupt+0x25/0x2c
DWARF2 unwinder stuck at common_interrupt+0x25/0x2c
Leftover inexact backtrace:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Hardware is a D-Link DFE-650 10/100Mbps PCMCIA adapter.

1. Insert card
2. Attach cable
3. Wait for Network Manager to connect.

Actual Results:
The network connection doesn't work.

Expected Results:

Additional info:
Let me know what other info would be helpful.
Comment 1 Miles Lane 2006-09-07 20:21:58 EDT
Oops.  I selected the wrong architecture.  The machine is a HP Pavillion dv1240us.
Comment 2 Peter Zijlstra 2006-09-28 07:33:38 EDT
Should be fixed in the latest kernels.

Note You need to log in before you can comment on or make changes to this bug.